%global momorel 2
%global qtver 3.3.5
%global qtdir %{_libdir}/qt-%{qtver}

Summary: Exscalibar Framework
Name: exscalibar
Version: 1.0.4
Release: %{momorel}m
License: GPL
URL: http://www.sf.net/projects/exscalibar
Group: System Environment/Libraries
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/exscalibar/%{name}-%{version}.tar.bz2 3b0abeb7648d3732e5f4702c4a2be4ab
Patch0: %{name}-%{version}-set-flags.patch
Patch1: exscalibar-1.0.4-x86_64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt-devel = %{qtver}
BuildRequires: libsndfile-devel, libmad, libvorbis-devel
BuildRequires: alsa-lib-devel, jack-devel
BuildRequires: pkgconfig

%description
Exscalibar is an EXtendable, SCalable Architecture for Live, Interactive or Batch-orientated Audio-signal Refinement. 

%package devel
Summary: Headers for developing programs that will use Exscalibar
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers for developing programs that will use Exscalibar.

%prep
%setup -q

%patch0 -p1 -b .set-flags
%ifarch x86_64 ppc64 ia64 alpha sparc64
%patch1 -p1 -b .x86_64
%endif

%build
export QTDIR=%{qtdir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure

# make -j2 doesn't work (1.0.4-1m)
# make %{?_smp_mflags}
make

%install
export QTDIR=%{qtdir}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%if %{_lib} == "lib64"
perl -p -i -e 's|/usr/lib/pkgconfig/|/usr/lib64/pkgconfig/|g' system/Makefile
%endif
make install INSTALL_ROOT=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING INSTALL README
%{qtdir}/bin/exinfo
%{qtdir}/bin/nite
%{qtdir}/bin/nodeserver
%{qtdir}/lib/lib*.so.*
%{qtdir}/plugins/geddei

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/exscalibar.pc
%{qtdir}/include/geddei
%{qtdir}/include/geddeiprocessors
%{qtdir}/include/qtextra
%{qtdir}/include/rgeddei
%{qtdir}/include/Geddei
%{qtdir}/include/SignalTypes
%{qtdir}/include/rGeddei
%{qtdir}/lib/lib*.so

%changelog
* Thu Feb 16 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.0.4-2m)
- update spec for x86_64

* Tue Feb 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.4-1m)
- initial package for amarok-1.4
